<?php
echo '<div class="wrap">';
architect_table_start();
echo architect_admin_header('2', 'Wapple Architect Plugin Status');

// Architect Errors
$errors = false;
if(get_option('architect_devkey') == '' OR !get_option('architect_devkey'))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p><strong>You haven\'t saved your free Wapple Architect Dev Key, get one from here: <a href="http://wapple.net/register/plugins-signup.htm" style="color:#000;">http://wapple.net/register/plugins-signup.htm</a></strong><br />Once you have it, enter it in the <a href="/wp-admin/admin.php?page=architect-basic">Wapple Architect Basic Settings page</a></p></div>';
}
if(!function_exists('simplexml_load_string'))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>You do not have simpleXML installed, this plugin needs simpleXML in order to parse XML returned from Wapple\'s web services</p></div>';
}
if(isset($_COOKIE['architectError']))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>Error initializing mobile version: '.$_COOKIE['architectError'].'</p></div>';
}
	
if(!$errors)
{
	echo '<div class="updated fade"><p>The Wapple Architect Plugin is working correctly!</p></div>'; 
}

echo '<h3>Information</h3>';
echo '<p><strong>Plugin</strong>: Wapple Architect</p>';
echo '<p><strong>Version</strong>: 1.5.5</p>';
echo '<p><strong>Latest Changes</strong>: 
	<ul style="list-style-type:disc;margin-left:20px;">
		<li>Fixed a few random characters errors</li>
		<li>Updated path to signup page</li>
		<li>Fixed bug with transparency colour on the home page</li>
		<li>Better handling of comments</li>
		<li>Much better administration page</li>
		<li>Fixed further windows error when DIRECTORY_SEPARATOR is not set correctly</li>
		<li>Fixed header error with WTF</li>
		<li>Added support for password protected posts</li>
		<li>Added support for access keys</li>
		<li>Made some speed improvements in The Loop(TM)</li>
	</ul></p><br />';
echo '<p>Read more at the official <a href="http://wordpress.org/extend/plugins/wapple-architect/">Wapple Architect WordPress Home Page</a></p>';
echo '</table></div>';
?>