<?php 
$haveHome = false;
$wapl = new WordPressWapl;

if(function_exists('wp_page_menu'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_page_menu(array('echo' => false, 'show_home' => true)));
	$haveHome = true;
} else if(function_exists('wp_list_pages'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_list_pages('echo=0&show_home=1'));
}

$string = '';
if($haveHome == false)
{
	$linkString .= '[url='.htmlspecialchars(get_option('home')).']Home[/url] | ';
}

$i = 0;
$linkString = '';

$pagesToShow = get_option('architect_showmenuitems');
if($pagesToShow)
{
	$pagesToShowArr = explode('|', $pagesToShow);
}

foreach($pagesArray as $val)
{
	preg_match_all('/<a(.*?)href="(.*?)"(.*?)>(.*?)<\/a>/is', $val, $matches);
	
	if(isset($matches[2][0]) && $matches[2][0] != '')
	{
		// Only show pages we've specified (if we've specified)
		if($pagesToShow)
		{
			$matches[4][0] = str_replace('&#8217;', "\'", $matches[4][0]);
			if(in_array(architectCharsOther($matches[4][0]), $pagesToShowArr))
			{
				$linkString .= '[url='.htmlspecialchars($matches[2][0]).']'.stripslashes(architectCharsOther($matches[4][0])).'[/url] | ';
			}
		} else
		{
			$linkString .= '[url='.htmlspecialchars($matches[2][0]).']'.stripslashes(architectCharsOther($matches[4][0])).'[/url] | ';
		}
	}
	$i++;
}
$string .= $wapl->chunk('words', array('class' => 'nav', 'quick_text' => substr($linkString, 0, (strlen($linkString) - 2))));
return $string;
?>